﻿Type=Class
Version=1
ModulesStructureVersion=1
B4i=true
@EndOfDesignText@
'Class module
Sub Class_Globals
	Dim Img As ImageView
	Private mChecked As Boolean
	
	Private mModule As Object
	Private MEventName As String
	Private mEnabled As Boolean
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize(Module As Object,Parent As Panel,EventName As String,Left As Int,Top As Int,Width As Int,Height As Int,Checked As Boolean)

	mChecked = Checked
	mModule = Module
	MEventName = EventName
	mEnabled = True
	
	Img.Initialize("Img")
	CheckBoxStatic.setImgCB(LoadBitmap(File.DirAssets,"checkBox.png"))
	CheckBoxStatic.setImgCBChecked(LoadBitmap(File.DirAssets,"checkBoxMarked.png"))
	Parent.AddView(Img,Left,Top,Width,Height)
	LoadImage

End Sub
Private Sub LoadImage
	If mChecked Then
		Img.Bitmap = CheckBoxStatic.getImgCBChecked
	Else
		Img.Bitmap = CheckBoxStatic.getImgCB
	End If
	
	If Not(mEnabled) Then
		Img.Alpha = 0.3
	Else
		Img.Alpha = 1
	End If
End Sub
Sub Img_Click
	If Not(mEnabled) Then Return
	
	mChecked = Not(mChecked)
	LoadImage
	If SubExists(mModule,MEventName & "_CheckChanged",1) Then 
		CallSub2(mModule,MEventName & "_CheckChanged",mChecked)
	End If
End Sub
Sub setChecked(Checked As Boolean)
	mChecked = Checked
	LoadImage
End Sub
Sub getChecked As Boolean
	Return mChecked
End Sub
Sub SetEnabled(Enabled As Boolean)
	mEnabled = Enabled
	If Not(mEnabled) Then
		Img.Alpha = 0.3
	Else
		Img.Alpha = 1
	End If
	Log(mEnabled)
End Sub
Sub GetEnabled As Boolean
	Return mEnabled
End Sub
